# CreditCard class

Credit Card Document

Inheritance
  - Object
  - GenericDocumentWrapper
  - CreditCard

## Constructors

CreditCard.new(GenericDocument document)

## Properties

cardholderName → TextFieldWrapper?
  The cardholder name of the recognized credit card
  no setter
cardNumber → TextFieldWrapper
  The card number of the recognized credit card
  no setter
document → GenericDocument
  final inherited
expiryDate → TextFieldWrapper?
  The expiry date of the recognized credit card
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.